summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2019-01-19 23:57:22 +0900
committerAkinori Hattori <hattya@gentoo.org>2019-01-19 23:57:22 +0900
commit99c9749a532498860e97e8b30dc6798942e92675 (patch)
tree48354a699c50ab41af0b118e09bb0caf3a7be282
parentsys-auth/pam_ssh: Version bump to 2.2 (diff)
downloadgentoo-99c9749a532498860e97e8b30dc6798942e92675.tar.gz
gentoo-99c9749a532498860e97e8b30dc6798942e92675.tar.bz2
gentoo-99c9749a532498860e97e8b30dc6798942e92675.zip
app-shells/yash: new upstream release
Signed-off-by: Akinori Hattori <hattya@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--app-shells/yash/Manifest1
-rw-r--r--app-shells/yash/yash-2.48.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/app-shells/yash/Manifest b/app-shells/yash/Manifest
index 44c70eccdb1..5664904530b 100644
--- a/app-shells/yash/Manifest
+++ b/app-shells/yash/Manifest
@@ -1 +1,2 @@
DIST yash-2.47.tar.gz 1161675 BLAKE2B 8491d5f977b9e23071098016443e8384bc584b8b1160e84b725a2965d032d8b8f5a7ac8b16b1a1e62d808b0543650e0bc42ddc52806c5475a7ca9e26640e84aa SHA512 c9607990a1cf947f9cf294f818d9c6de314dca92a9f106dc65e8d0fdeb6ac91b21a394c711c4b8aabae33b60fc70b72dc9483b6ac48d4e3be3019501ebc26332
+DIST yash-2.48.tar.xz 736280 BLAKE2B bbb7d2f723000bbb168ce8d354c27d80b350d5b5b1fc450987b8ff45a3d0f3c94986632ead5510de70b27689498cdc370bef8bbcdded66dc8d43061358c438b8 SHA512 51201a5bec24ebfb550d3e6b52114c83221d2e4b54cde577b76def1ccdd3476758ea2c8e1468047bcfccd6e8cdc3fc1d35d6c0dc8b7017c8d290c4aea66350f3
diff --git a/app-shells/yash/yash-2.48.ebuild b/app-shells/yash/yash-2.48.ebuild
new file mode 100644
index 00000000000..d3d60ce0fc4
--- /dev/null
+++ b/app-shells/yash/yash-2.48.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PLOCALES="en ja"
+
+inherit flag-o-matic l10n toolchain-funcs
+
+DESCRIPTION="Yash is a POSIX-compliant command line shell"
+HOMEPAGE="https://yash.osdn.jp/"
+SRC_URI="mirror://sourceforge.jp/${PN}/70439/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls test"
+
+RDEPEND="sys-libs/ncurses:=
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ test? ( sys-apps/ed )"
+
+src_configure() {
+ append-cflags -std=c99
+
+ sh ./configure \
+ --prefix="${EPREFIX}"/usr \
+ $(use_enable nls) \
+ CC=$(tc-getCC) \
+ LINGUAS="$(l10n_get_locales | sed "s/en/en@quot en@boldquot/")" \
+ || die
+}